fastText: fasttext::Vector Class Reference

| fastText d00d36476b15 Fast text processing tool/library

Public Member Functions | Public Attributes | List of all members
fasttext::Vector Class Reference

`#include <vector.h>`

## Public Member Functions
| Vector (int64_t)
| ~Vector ()
real & | operator[] (int64_t)
const real & | operator[] (int64_t) const
int64_t | size () const
void | zero ()
void | mul (real)
real | norm () const
void | addVector (const Vector &source)
void | addVector (const Vector &, real)
void | addRow (const Matrix &, int64_t)
void | addRow (const QMatrix &, int64_t)
void | addRow (const Matrix &, int64_t, real)
void | mul (const QMatrix &, const Vector &)
void | mul (const Matrix &, const Vector &)
int64_t | argmax ()

## Public Attributes
int64_t | m_
real * | data_

## Constructor & Destructor Documentation

## ◆ Vector()

fasttext::Vector::Vector | ( | int64_t | m | ) |
| explicit

## ◆ ~Vector()

fasttext::Vector::~Vector | ( |  | ) |

## Member Function Documentation

## ◆ addRow() [1/3]

void fasttext::Vector::addRow | ( | const Matrix & | A,
|  | int64_t | i
| ) |  |

## ◆ addRow() [2/3]

void fasttext::Vector::addRow | ( | const QMatrix & | A,
|  | int64_t | i
| ) |  |

## ◆ addRow() [3/3]

void fasttext::Vector::addRow | ( | const Matrix & | A,
|  | int64_t | i,
|  | real | a
| ) |  |

## ◆ addVector() [1/2]

void fasttext::Vector::addVector | ( | const Vector & | source | ) |

## ◆ addVector() [2/2]

void fasttext::Vector::addVector | ( | const Vector & | source,
|  | real | s
| ) |  |

## ◆ argmax()

int64_t fasttext::Vector::argmax | ( |  | ) |

## ◆ mul() [1/3]

void fasttext::Vector::mul | ( | real | a | ) |

## ◆ mul() [2/3]

void fasttext::Vector::mul | ( | const QMatrix & | A,
|  | const Vector & | vec
| ) |  |

## ◆ mul() [3/3]

void fasttext::Vector::mul | ( | const Matrix & | A,
|  | const Vector & | vec
| ) |  |

## ◆ norm()

real fasttext::Vector::norm | ( |  | ) | const

## ◆ operator[]() [1/2]

real & fasttext::Vector::operator[] | ( | int64_t | i | ) |

## ◆ operator[]() [2/2]

const real & fasttext::Vector::operator[] | ( | int64_t | i | ) | const

## ◆ size()

int64_t fasttext::Vector::size | ( |  | ) | const

## ◆ zero()

void fasttext::Vector::zero | ( |  | ) |

## Member Data Documentation

## ◆ data_

real* fasttext::Vector::data_

## ◆ m_

int64_t fasttext::Vector::m_

The documentation for this class was generated from the following files:

- /data/users/cpuhrsch/fbsource/fbcode/deeplearning/fastText/src/vector.h
- /data/users/cpuhrsch/fbsource/fbcode/deeplearning/fastText/src/vector.cc